org.richfaces.push

## Class AbstractTopic

- java.lang.Object
- - org.richfaces.push.AbstractTopic

- All Implemented Interfaces:
    Topic
  Direct Known Subclasses:
    TopicImpl

      public abstract class AbstractTopic
      extends Object
      implements Topic

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTopic(TopicKey key)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTopicListener(TopicListener topicListener)`
    `void` | `checkSubscription(TopicKey key, Session session)`
    `TopicKey` | `getKey()`
    `MessageDataSerializer` | `getMessageDataSerializer()`
    `boolean` | `isAllowSubtopics()`
    `abstract void` | `publish(TopicKey key, Object messageData)`
    `void` | `publishEvent(TopicEvent event)`
    `void` | `removeTopicListener(TopicListener topicListener)`
    `void` | `setAllowSubtopics(boolean allowSubtopics)`
    `void` | `setMessageDataSerializer(MessageDataSerializer serializer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractTopic

          public AbstractTopic(TopicKey key)

  - ### Method Detail

    - #### getMessageDataSerializer

          public MessageDataSerializer getMessageDataSerializer()

      Specified by:
        `getMessageDataSerializer` in interface `Topic`

    - #### setMessageDataSerializer

          public void setMessageDataSerializer(MessageDataSerializer serializer)

      Specified by:
        `setMessageDataSerializer` in interface `Topic`

    - #### isAllowSubtopics

          public boolean isAllowSubtopics()

    - #### setAllowSubtopics

          public void setAllowSubtopics(boolean allowSubtopics)

    - #### getKey

          public TopicKey getKey()

      Specified by:
        `getKey` in interface `Topic`

    - #### addTopicListener

          public void addTopicListener(TopicListener topicListener)

      Specified by:
        `addTopicListener` in interface `Topic`

    - #### removeTopicListener

          public void removeTopicListener(TopicListener topicListener)

      Specified by:
        `removeTopicListener` in interface `Topic`

    - #### checkSubscription

          public void checkSubscription(TopicKey key,
                               Session session)
                                 throws SubscriptionFailureException

      Specified by:
        `checkSubscription` in interface `Topic`
      Throws:
        `SubscriptionFailureException`

    - #### publishEvent

          public void publishEvent(TopicEvent event)

      Specified by:
        `publishEvent` in interface `Topic`

    - #### publish

          public abstract void publish(TopicKey key,
                     Object messageData)
                                throws MessageException

      Specified by:
        `publish` in interface `Topic`
      Throws:
        `MessageException`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.